Bug 231641 - cad/scotch: Change from net/mpich2 to net/mpich
Summary: cad/scotch: Change from net/mpich2 to net/mpich
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-23 17:34 UTC by Yuri Victorovich
Modified: 2019-08-14 14:36 UTC (History)
2 users (show)

See Also:
thierry: maintainer-feedback-


Attachments
patch for cad/scotch (604 bytes, patch)
2018-09-23 17:34 UTC, Yuri Victorovich
no flags Details | Diff
testcase.cc (752 bytes, text/plain)
2018-09-23 17:35 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-09-23 17:34:16 UTC
Created attachment 197407 [details]
patch for cad/scotch

mpich2 is the obsolete version 2.x, mpich is at the current version 3.x

It builds in poudriere 11amd64 with the attached patch.

However, it breaks science/libgeodecomp. libgeodecomp can't find the function SCOTCH_dgraphInit.

The attached testcase fails:
> $ c++ testcase.cc -I /usr/local/include/ -L /usr/local/lib -lptscotch -lmpich -o sc /usr/local/lib/gcc7/libgcc_s.so
> /usr/local/lib/libptscotch.a(library_dgraph.o): In function `SCOTCH_dgraphInit':
> library_dgraph.c:(.text+0x3a): undefined reference to `SCOTCH_errorPrint'
> c++: error: linker command failed with exit code 1 (use -v to see invocation)

This is what science/libgeodecomp runs in an attempt to find scotch.

I wasn't able to find a solution.
Comment 1 Yuri Victorovich freebsd_committer 2018-09-23 17:35:15 UTC
Created attachment 197408 [details]
testcase.cc

Testcase demonstrating the problem.
Comment 2 Yuri Victorovich freebsd_committer 2018-09-23 17:36:27 UTC
Once this is resolved, libgeodecomp also needs to be updated to mpich2.
Comment 3 Thierry Thomas freebsd_committer 2018-10-02 09:47:01 UTC
Thanks for your patch - but Scotch belongs to Code_Aster i.e. french/aster  (even if it can be used alone),, and I have to check that everything can run with the same MPI.
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-08-13 19:18:26 UTC
Does this mean rejected?
Comment 5 Thierry Thomas freebsd_committer 2019-08-14 14:36:02 UTC
(In reply to Walter Schwarzenfeld from comment #4)

Not rejected, but all the chain of dependencies must use the same MPI, and ATM french/aster still uses mpich2 (and it has some other problems to be fixed first).